# TradingLiquidityUpdated()

### event TradingLiquidityUpdated()

This event is triggered by changes in the amount of available trading liquidity, including trades, deposits, and withdrawals.&#x20;

{% hint style="info" %}
This event is typically emitted twice to indicate the change in both TOKEN and BNT trade liquidity&#x20;
{% endhint %}

```javascript
event TradingLiquidityUpdated(
    bytes32 indexed contextId,
    Token indexed pool,
    Token indexed token,
    uint256 prevLiquidity,
    uint256 newLiquidity
);
```

| Parameter Name | Type    | Description                                                                               |
| -------------- | ------- | ----------------------------------------------------------------------------------------- |
| contextId      | bytes32 | Unique identifier for the specific transaction (can be used for grouping multiple events) |
| pool           | Token   | The address of the Bancor pool token (bnToken)                                            |
| token          | Token   | The address of the token                                                                  |
| prevLiquidity  | unit256 | The total number of tokens in the liquidity pool before the transaction                   |
| newLiquidity   | unit256 | The total number of tokens in the liquidity pool after the transaction                    |

### Uses

This event can be used to:

* Monitor changes in liquidity pools
* Monitor the amount of liquidity in pools

### Triggered By

This event is triggered by the following functions:

* trade()
* deposit()
* depositPermitted()
* depositFor()
* depositForPermitted()
* withdraw()


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.bancor.network/developer-guides/data-and-events/liquidity-data/tradingliquidityupdated.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
